@import "~src/styles.scss";

/**
 * Variables
 */
$navbar-height: 55px;
$button-height: 25px;

$logo-height: 95px;
$logo-left: 2px;
$logo-top: 2px;

$item-padding: 4px 0px 4px 0px;
$item-margin: 15px 15px;
$item-min-width: 0px;
$item-transition: 300ms ease-in-out;

$font-size:  $font-size-small;
$font-color-transparent: $color-gray-5;
$font-color-normal: $color-gray-5;
$font-color-transparent-highlight: $color-gray-9;
$font-color-normal-highlight: $color-gray-9;

$navbar-background-transparent: rgba(black, 0);
$navbar-background-normal: rgba($color-gray-1, 0.97);
$navbar-background-transition: background-color 500ms ease-in-out;

 /**
  * Elements
  */

img#nav-bar-logo {
    height: $logo-height;
    top: $logo-top;
    left: $logo-left;
    position: fixed;
    z-index: 101;
    left: $logo-left;
    transition: $item-transition;

    &.transparent {
      transition: $item-transition;
      left: - $logo-height;
    }
}

div#nav-bar-container {
    width: 100%;
    min-height: $navbar-height;
    position: fixed;
    top:0;
    z-index: 100;

    background-color: $navbar-background-normal;
    color: $font-color-normal;
    -webkit-transition:  $navbar-background-transition;
    transition:  $navbar-background-transition;


    &.transparent{
      background-color: $navbar-background-transparent;
      color: $font-color-transparent-highlight;
      -webkit-transition: $navbar-background-transition;
      transition:  $navbar-background-transition;

      div.nav-bar-item {
        color: $font-color-transparent;
        &::after {
          box-shadow: inset 0 0px 0 white, inset 0 -2px 0 $font-color-transparent-highlight;
        }
        &:hover {
          color: $font-color-transparent-highlight;
        }
      }
      div.selected {
        box-shadow: inset 0 0px 0 white, inset 0 -2px 0 $font-color-transparent-highlight;
        color: $font-color-transparent-highlight;
      }
    }

    &.mobile:not(.folded-out) > .nav-bar-items-container {
      display: none;
    }

}

div.nav-bar-items-container {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: flex-end;

  min-height: $navbar-height;

  &.mobile {
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
  }
}


div.nav-bar-item {
    min-width: $item-min-width;
    padding: $item-padding;
    margin: $item-margin;
    font-size: $font-size;
    text-align: center;
    transition: $item-transition;
    position: relative;

    &:hover {
        cursor: pointer;
        transition: $item-transition;
        color: $font-color-normal-highlight;
    }

    &::after {
        position: absolute;
        left: 0px;
        content: "";
        bottom: 0px;
        height: 100%;
        width: 0%;
        box-shadow: inset 0 0px 0 white, inset 0 -2px 0 $font-color-normal-highlight;
        transition: $item-transition;
    }

    &:hover::after {
        width: 100%;
    }
}

.selected {
    box-shadow: inset 0 0px 0 white, inset 0 -2px 0 $font-color-normal-highlight;
    color: $font-color-normal-highlight;
}

// Burger/close button
.navbar-buttons {
  width: 100%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  padding: $item-padding;
  height: $navbar-height;

  .navbar-button {
    height: $button-height;
    width: $button-height;
    background-size: $button-height $button-height;
    margin-right: 10px;

    &.burger{
      background-image: url("src/assets/icons/burger_gray5.png");

      &:hover{
        background-image: url("src/assets/icons/burger_gray9.png");
      }
    }

    &.cross{
      background-image: url("src/assets/icons/cross_gray5.png");

      &:hover{
        background-image: url("src/assets/icons/cross_gray9.png");
      }
    }

    &:hover{
      cursor: pointer;
    }
  }
}
